import request from '@/utils/request'

// 查询安全设施-爆破片列表
export function listSafetyBrust(query) {
  return request({
    url: '/pssr/safetyBrust/list',
    method: 'get',
    params: query
  })
}

// 查询安全设施-爆破片详细
export function getSafetyBrust(id) {
  return request({
    url: '/pssr/safetyBrust/' + id,
    method: 'get'
  })
}

// 新增安全设施-爆破片
export function addSafetyBrust(data) {
  return request({
    url: '/pssr/safetyBrust',
    method: 'post',
    data: data
  })
}

// 修改安全设施-爆破片
export function updateSafetyBrust(data) {
  return request({
    url: '/pssr/safetyBrust',
    method: 'put',
    data: data
  })
}

//
export function updateSafetyBrustBatch(data) {
  return request({
    url: '/pssr/safetyBrust/editBatch',
    method: 'put',
    data: data
  })
}


// 删除安全设施-爆破片
export function delSafetyBrust(id) {
  return request({
    url: '/pssr/safetyBrust/' + id,
    method: 'delete'
  })
}

// 导出安全设施-爆破片
export function exportSafetyBrust(query) {
  return request({
    url: '/pssr/safetyBrust/export',
    method: 'get',
    params: query
  })
}
